# JapanMunicipality

A gem that we can use to traverse [Japan Municipalities][municipality] data.

## Installation

Add this line to your application's Gemfile:

```ruby
gem "japan_municipality"
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install japan_municipality

## Usage

```ruby
JapanMunicipality.all
=>

[
  #<JapanMunicipality:0x00007fdd11b02048
    @area_code="1100",
    @has_merger_dissolution_infomation="有",
    @merger_dissolution_date="1973-12-01",
    @municipality=nil,
    @municipality_furigana=nil,
    @prefecture="北海道",
    @subprefecture="札幌市",
    @subprefecture_furigana="さっぽろし">,
  ...
]
```

## License, Contributor's Guidelines, Code of Conduct, and Credits

- [MIT license](LICENSE.md)
- [Contributor's Guidelines](CONTRIBUTING.md)
- [Code of Conduct](CODE_OF_CONDUCT.md)
- Municipality data from https://www.e-stat.go.jp/

[municipality]: https://en.wikipedia.org/wiki/Municipalities_of_Japan
